Package bitel.billing.server.contract.object.bean

# Class ObjectParam

java.lang.Object
bitel.billing.server.contract.object.bean.ObjectParam

All Implemented Interfaces:
  `ListItem`

    public class ObjectParam
    extends java.lang.Object
    implements ListItem

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `TYPE_ADDRESS` |
  `static int` | `TYPE_DATE` |
  `static int` | `TYPE_FLAG` |
  `static int` | `TYPE_LIST` |
  `static int` | `TYPE_TEXT` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObjectParam()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getId()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getTypeId()` |
  `java.lang.String` | `getTypeString()` |
  `boolean` | `isHistory()` |
  `boolean` | `isRead()` |
  `boolean` | `isWrite()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setHistory​(boolean history)` |
  `void` | `setId​(int id)` |
  `void` | `setRead​(boolean read)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setTypeId​(int typeId)` |
  `void` | `setWrite​(boolean write)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_TEXT

    public static final int TYPE_TEXT
    See Also:
      Constant Field Values

  - ### TYPE_LIST

    public static final int TYPE_LIST
    See Also:
      Constant Field Values

  - ### TYPE_DATE

    public static final int TYPE_DATE
    See Also:
      Constant Field Values

  - ### TYPE_ADDRESS

    public static final int TYPE_ADDRESS
    See Also:
      Constant Field Values

  - ### TYPE_FLAG

    public static final int TYPE_FLAG
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ObjectParam

    public ObjectParam()

- ## Method Details

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)

  - ### getTypeString

    public java.lang.String getTypeString()

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isHistory

    public boolean isHistory()

  - ### setHistory

    public void setHistory​(boolean history)

  - ### isRead

    public boolean isRead()

  - ### setRead

    public void setRead​(boolean read)

  - ### isWrite

    public boolean isWrite()

  - ### setWrite

    public void setWrite​(boolean write)